/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: MyOtherFault.java 52501 2007-01-24 02:29:49Z lschwenk $
 */

package com.sun.ts.tests.jaxws.mapping.j2wmapping.document.literal.wrapped;

@javax.xml.ws.WebFault(name="MyOtherFault",
    messageName="YesItsMyOtherFault",
    targetNamespace="http://doclitservice.org/wsdl",
    faultBean="MyOtherFaultBean"
)
public class MyOtherFault extends  Exception {
    private MyOtherFaultBean faultInfo;

    public MyOtherFault(String message, MyOtherFaultBean faultInfo) {
        super(message);
	this.faultInfo = faultInfo;
    }
    
    public MyOtherFault(String message, MyOtherFaultBean faultInfo, Throwable cause) {
        super(message, cause);
	this.faultInfo = faultInfo;
    }

    public MyOtherFaultBean getFaultInfo() {
	return faultInfo;
    }
}
